Bug 838513 - subfolders of javadir are not accessible for tycho builds
subfolders of javadir are not accessible for tycho builds
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tycho (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Roland Grunberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 06:08 EDT by Krzysztof Daniel
Modified: 2014-01-12 19:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-23 19:32:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krzysztof Daniel 2012-07-09 06:08:06 EDT
I had this case for javamail. It puts all files into /usr/share/java/javamail/, and the build was failing with javax.mail missing. It was necessary to use P2 director to install javamail into local repo to make build working.
Comment 1 Roland Grunberg 2012-07-23 09:37:43 EDT
Basically mail.jar in /usr/share/java/javamail is not being picked up because the script requires that the jar have a META-INF/MANIFEST.MF with a 'Bundle-ManifestVersion' entry. mail.jar does not have this entry.

I can see that this entry isn't required (http://wiki.osgi.org/wiki/Bundle-ManifestVersion). In fact it seems Bundle-SymbolicName is the only mandatory header for OSGi so this might be a better choice (http://wiki.osgi.org/wiki/Bundle-SymbolicName).
Comment 2 Fedora Update System 2012-07-27 13:13:44 EDT
tycho-0.15.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/tycho-0.15.0-1.fc17
Comment 3 Fedora Update System 2012-07-28 20:54:07 EDT
Package tycho-0.15.0-1.fc17, tycho-extras-0.15.0-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tycho-0.15.0-1.fc17 tycho-extras-0.15.0-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11197/tycho-extras-0.15.0-1.fc17,tycho-0.15.0-1.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-08-02 07:20:35 EDT
Package tycho-extras-0.15.0-1.fc17, tycho-0.15.0-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tycho-extras-0.15.0-1.fc17 tycho-0.15.0-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11197/tycho-extras-0.15.0-1.fc17,tycho-0.15.0-3.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-08-12 22:26:30 EDT
Package tycho-extras-0.15.0-1.fc17, tycho-0.15.0-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tycho-extras-0.15.0-1.fc17 tycho-0.15.0-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11197/tycho-extras-0.15.0-1.fc17,tycho-0.15.0-4.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-08-23 19:32:06 EDT
tycho-extras-0.15.0-1.fc17, tycho-0.15.0-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.